fuzz_dhcpc6(8)

NAME
fuzz_dhcpc6 Partially based on code by Brandon Hutcheson and Graeme Neilson

SYNOPSIS
fuzz_dhcpc6 [-1|-2|-3|-4|-5|-6|-7|-8|-9|-A|-B|-C|-D|-m] -f mac -l link -v ipv6 -x xid -c client -o options interface

OPTIONS
  -1         fuzz DHCPv6 Solicit
  -2         fuzz DHCPv6 Advertise (default)
  -3         fuzz DHCPv6 Request
  -4         fuzz DHCPv6 Confirm
  -5         fuzz DHCPv6 Renew
  -6         fuzz DHCPv6 Rebind
  -7         fuzz DHCPv6 Reply
  -8         fuzz DHCPv6 Release
  -9         fuzz DHCPv6 Decline
  -A         fuzz DHCPv6 Reconfigure
  -B         fuzz DHCPv6 Information Request
  -C         fuzz DHCPv6 Relay-Forward
  -D         fuzz DHCPv6 Relay-reply
  -m         fuzz the message type as well
  -v ipv6    IPv6 address of victim (if not specified DHCP clients sending messages are attacked)
  -x xid     Transaction ID of victim - zero for random (ignored if -v not specified)
  -c client  Client ID of victim - zero for random (ignored if -v not specified)
  -f mac     spoof the mac address
  -l link    spoof the link address
  -o options DHCPv6 message options to send (default: abcdefghijklmonpqr)
       a  OPTION_SERVERID
       b  OPTION_IA_NA
       c  OPTION_IA_TA
       d  OPTION_IAADR
       e  OPTION_ORO
       f  OPTION_PREFERENCE
       g  OPTION_ELAPSED_TIME
       h  OPTION_RELAY_MSG
       i  OPTION_AUTH
       j  OPTION_UNICAST
       k  OPTION_STATUS_CODE
       l  OPTION_RAPID_COMMIT
       m  OPTION_USER_CLASS
       n  OPTION_VENDOR_CLASS
       o  OPTION_VENDOR_OPTS
       p  OPTION_INTERFACE_ID
       q  OPTION_RECONF_MSG
       r  OPTION_RECONF_ACCEPT
Fuzz messages sent to a DHCPv6 client

AUTHOR
thc-ipv6 was written by van Hauser <vh@thc.org> / THC The homepage for this toolkit is: https://github.com/vanhauser-thc/thc-ipv6

COPYRIGHT
fuzz_dhcpc6 v3.6 (c) 2019 by Darrell Ambro www.github.com/vanhauser-thc/thc-ipv6